Debian Bug report logs - #707975
ITP: liblog-message-perl -- A generic message storing mechanism

version graph

Package: wnpp; Maintainer for wnpp is wnpp@debian.org;

Reported by: Dominic Hargreaves <dom@earth.li>

Date: Sun, 12 May 2013 12:30:01 UTC

Owned by: Dominic Hargreaves <dom@earth.li>

Severity: wishlist

Fixed in version liblog-message-perl/0.8-1

Done: gregor herrmann <gregoa@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, debian-devel@lists.debian.org, debian-perl@lists.debian.org, wnpp@debian.org:
Bug#707975; Package wnpp. (Sun, 12 May 2013 12:30:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to Dominic Hargreaves <dom@earth.li>:
New Bug report received and forwarded. Copy sent to debian-devel@lists.debian.org, debian-perl@lists.debian.org, wnpp@debian.org. (Sun, 12 May 2013 12:30:06 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Dominic Hargreaves <dom@earth.li>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: ITP: liblog-message-perl -- A generic message storing mechanism
Date: Sun, 12 May 2013 13:14:29 +0100
Package: wnpp
Severity: wishlist
Owner: Dominic Hargreaves <dom@earth.li>

* Package name    : liblog-message-perl
  Version         : 0.08
  Upstream Author : Chris Williams <chris@bingosnet.co.uk>
* URL             : https://metacpan.org/release/Log-Message
* License         : Perl
  Programming Lang: Perl
  Description     : A generic message storing mechanism

Log::Message is a generic message storage mechanism. It allows you to store
messages on a stack -- either shared or private -- and assign meta-data to
it. Some meta-data will automatically be added for you, like a timestamp and
a stack trace, but some can be filled in by the user, like a tag by which to
identify it or group it, and a level at which to handle the message (for
example, log it, or die with it)

Log::Message also provides a powerful way of searching through items by
regexes on messages, tags and level.

This module is being deprecated from the perl base distribution in
5.18.0, so it is planned to package it separately to provide continuity.        The perl 5.18 packages will depend on, recommend or suggest deprecated          modules for one release cycle, as appropriate.



Added indication that bug 707975 blocks 702096 Request was from Dominic Hargreaves <dom@earth.li> to control@bugs.debian.org. (Sun, 12 May 2013 12:54:10 GMT) Full text and rfc822 format available.

Added tag(s) pending. Request was from gregor herrmann <gregoa@debian.org> to control@bugs.debian.org. (Sun, 19 May 2013 21:30:23 GMT) Full text and rfc822 format available.

Reply sent to gregor herrmann <gregoa@debian.org>:
You have taken responsibility. (Fri, 31 May 2013 10:03:28 GMT) Full text and rfc822 format available.

Notification sent to Dominic Hargreaves <dom@earth.li>:
Bug acknowledged by developer. (Fri, 31 May 2013 10:03:28 GMT) Full text and rfc822 format available.

Message #14 received at 707975-close@bugs.debian.org (full text, mbox):

From: gregor herrmann <gregoa@debian.org>
To: 707975-close@bugs.debian.org
Subject: Bug#707975: fixed in liblog-message-perl 0.8-1
Date: Fri, 31 May 2013 10:02:26 +0000
Source: liblog-message-perl
Source-Version: 0.8-1

We believe that the bug you reported is fixed in the latest version of
liblog-message-perl, which is due to be installed in the Debian FTP archive.

A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 707975@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
gregor herrmann <gregoa@debian.org> (supplier of updated liblog-message-perl package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@ftp-master.debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA256

Format: 1.8
Date: Mon, 20 May 2013 20:36:53 +0200
Source: liblog-message-perl
Binary: liblog-message-perl
Architecture: source all
Version: 0.8-1
Distribution: unstable
Urgency: low
Maintainer: Debian Perl Group <pkg-perl-maintainers@lists.alioth.debian.org>
Changed-By: gregor herrmann <gregoa@debian.org>
Description: 
 liblog-message-perl - powerful and flexible message logging mechanism
Closes: 707975
Changes: 
 liblog-message-perl (0.8-1) unstable; urgency=low
 .
   * Initial Release. (Closes: #707975)
Checksums-Sha1: 
 b5398d236955fb34451aee43e2650235f95b6fa0 2064 liblog-message-perl_0.8-1.dsc
 2cf1944e8e9e075c75210fbfb792544b614e190a 12507 liblog-message-perl_0.8.orig.tar.gz
 75d60dcc98c9143935e85ca37778219e703a4694 1549 liblog-message-perl_0.8-1.debian.tar.gz
 707481b3fb9f58a125ef00553c4b6d6847c80403 25976 liblog-message-perl_0.8-1_all.deb
Checksums-Sha256: 
 e84a08c91724b0c7efdf7581762b8634bfcd2dbc51378451e78e74e6c8801a62 2064 liblog-message-perl_0.8-1.dsc
 bd697dd62aaf26d118e9f0a0813429deb1c544e4501559879b61fcbdfe99fe46 12507 liblog-message-perl_0.8.orig.tar.gz
 caa307b5374da54a8c6fc512a355a9bc97a39dc78344ba43d6b7ea060163f8db 1549 liblog-message-perl_0.8-1.debian.tar.gz
 243623406406f1fc6e26b07eeccfa85661080dd60b0ed646dfd518fcec9874b0 25976 liblog-message-perl_0.8-1_all.deb
Files: 
 772bcd492414373a1c10af34d060692a 2064 perl optional liblog-message-perl_0.8-1.dsc
 406fe7d1e37980afa105b663c436c4af 12507 perl optional liblog-message-perl_0.8.orig.tar.gz
 eab3f6a5e2e631cf8e4af62f93fc7f20 1549 perl optional liblog-message-perl_0.8-1.debian.tar.gz
 93a403adf675e813b26e7c0700f1990e 25976 perl optional liblog-message-perl_0.8-1_all.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.12 (GNU/Linux)

iQIcBAEBCAAGBQJRmm1bAAoJELs6aAGGSaoGn7MQAJwlyaHelSaDjKFygW3n1wJs
PiTg8uZq/PEEh5fXxi7v7of4aFgPaWb2y2PJO5iN3r7U/06BxIZwcIXOTffvufVw
AEjX1QM5KsuNkCNROtIOZGti1Bbcm4ines1f31rJXZ9WMAtJif5ig6gJ305kUOMB
2wDAYydlXI5ntCX3cjVvEbA0E7P/VAMEf4CFxnfCCpgotqqrnujeCb84nFx452EG
vavQGtCtT+qzJ4RSIn7GQyye9UUxT+O38H64nDKsSHKtJxUzXq01xQHlbna23PLg
kHKNtMlwomlDF93dJ/AA5OWMfMAmXKI4RhHKOgVIutk0zAlSoVyQ5epM7ziBaU0n
M4osnwm/RhwcqXDuLbSgIULDZvZ+4nCsHnGN6962VBG3denHWWOwfxleUud7t8Xr
FOW4NEkbniGyTxxaDBnWluewdGPZj4/8SqNhtkuUsvzdOcIKe/J3NXqMTmJRS+hV
/f0yBQWbdzK0TR/FScgEOO/7AcRGkq9JhdtU2lKlzATFahuWGx8pyfgDinYvUAbJ
3Q5+PE2yFLcPY3wVHQW5D4cc32k1bBpsjGcmu3xrodvIqMgKxCAnh6i7MeZ4Ogsp
QsmdwKv0p0N3MBB0IZ/+TQeRK3m4ossPiQJaQUMxFc0cTMnl5PaNOJEEKmLT9qP+
wsbWvD30x461HjsTe/8f
=c2Gp
-----END PGP SIGNATURE-----




Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Sat, 29 Jun 2013 07:39:36 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Thu Apr 17 10:49:18 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.